[23602] in Source-Commits
/svn/athena r23239 - in trunk/debathena/config: gdm-config/debian gdm-config-athena10/debian
daemon@ATHENA.MIT.EDU (andersk@MIT.EDU)
Wed Nov 5 12:52:26 2008
Date: Wed, 5 Nov 2008 12:51:53 -0500 (EST)
From: andersk@MIT.EDU
Message-Id: <200811051751.MAA11044@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: andersk
Date: 2008-11-05 12:51:52 -0500 (Wed, 05 Nov 2008)
New Revision: 23239
Added:
trunk/debathena/config/gdm-config-athena10/debian/debathena-gdm-config.postinst
trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst
Modified:
trunk/debathena/config/gdm-config-athena10/debian/changelog
trunk/debathena/config/gdm-config/debian/changelog
Log:
In gdm-config:
* Reload gdm on postinst.
configure)
;;
abort-upgrade|abort-remove|abort-deconfigure)
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
In gdm-config-athena10:
* Reload gdm on postinst.
configure)
;;
abort-upgrade|abort-remove|abort-deconfigure)
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
Modified: trunk/debathena/config/gdm-config/debian/changelog
===================================================================
--- trunk/debathena/config/gdm-config/debian/changelog 2008-11-04 08:53:57 UTC (rev 23238)
+++ trunk/debathena/config/gdm-config/debian/changelog 2008-11-05 17:51:52 UTC (rev 23239)
@@ -1,3 +1,9 @@
+debathena-gdm-config (1.4) unstable; urgency=low
+
+ * Reload gdm on postinst.
+
+ -- Anders Kaseorg <andersk@mit.edu> Wed, 05 Nov 2008 12:49:30 -0500
+
debathena-gdm-config (1.3) unstable; urgency=low
* Convert to use config-package.mk interface, new in config-package-
Added: trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst
===================================================================
--- trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst 2008-11-04 08:53:57 UTC (rev 23238)
+++ trunk/debathena/config/gdm-config/debian/debathena-gdm-config.postinst 2008-11-05 17:51:52 UTC (rev 23239)
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-gdm-config
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ if hash invoke-rc.d 2>/dev/null; then
+ invoke-rc.d gdm reload
+ else
+ /etc/init.d/gdm reload
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
Modified: trunk/debathena/config/gdm-config-athena10/debian/changelog
===================================================================
--- trunk/debathena/config/gdm-config-athena10/debian/changelog 2008-11-04 08:53:57 UTC (rev 23238)
+++ trunk/debathena/config/gdm-config-athena10/debian/changelog 2008-11-05 17:51:52 UTC (rev 23239)
@@ -1,3 +1,9 @@
+debathena-gdm-config (1.5) unstable; urgency=low
+
+ * Reload gdm on postinst.
+
+ -- Anders Kaseorg <andersk@mit.edu> Wed, 05 Nov 2008 12:50:30 -0500
+
debathena-gdm-config (1.4) unstable; urgency=low
* Say "Welcome to Athena 10" instead of "Welome to Debathena".
Added: trunk/debathena/config/gdm-config-athena10/debian/debathena-gdm-config.postinst
===================================================================
--- trunk/debathena/config/gdm-config-athena10/debian/debathena-gdm-config.postinst 2008-11-04 08:53:57 UTC (rev 23238)
+++ trunk/debathena/config/gdm-config-athena10/debian/debathena-gdm-config.postinst 2008-11-05 17:51:52 UTC (rev 23239)
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-gdm-config
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ if hash invoke-rc.d 2>/dev/null; then
+ invoke-rc.d gdm reload
+ else
+ /etc/init.d/gdm reload
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+